[arch-commits] Commit in gimp/trunk (PKGBUILD libpng-1.4.patch)

Eric Bélanger eric at archlinux.org
Tue Jan 19 22:57:37 EST 2010


    Date: Tuesday, January 19, 2010 @ 22:57:37
  Author: eric
Revision: 64381

upgpkg: gimp 2.6.8-2
    Rebuilt for libpng 1.4 and libjpeg 8

Added:
  gimp/trunk/libpng-1.4.patch
Modified:
  gimp/trunk/PKGBUILD

------------------+
 PKGBUILD         |   11 +++++++----
 libpng-1.4.patch |   26 ++++++++++++++++++++++++++
 2 files changed, 33 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-20 03:49:34 UTC (rev 64380)
+++ PKGBUILD	2010-01-20 03:57:37 UTC (rev 64381)
@@ -3,7 +3,7 @@
 
 pkgname=gimp
 pkgver=2.6.8
-pkgrel=1
+pkgrel=2
 pkgdesc="GNU Image Manipulation Program"
 arch=('i686' 'x86_64')
 url="http://www.gimp.org/"
@@ -24,12 +24,15 @@
 conflicts=('gimp-devel')
 install=gimp.install
 source=(ftp://ftp.gimp.org/pub/gimp/v${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2
-        linux.gpl)
-md5sums=('a4d9462c9420954824a80c9b1963f9d9' 'bb27bc214261d36484093e857f015f38')
-sha1sums=('a550943f086abc9bf6b96d576741337b7186a4f4' '110ce9798173b19a662d086ed7b882b4729f06cf')
+        linux.gpl libpng-1.4.patch)
+md5sums=('a4d9462c9420954824a80c9b1963f9d9' 'bb27bc214261d36484093e857f015f38'\
+         '211eccab51593526e852816e647f7da4')
+sha1sums=('a550943f086abc9bf6b96d576741337b7186a4f4' '110ce9798173b19a662d086ed7b882b4729f06cf'\
+         '21c0fe284c39cc133ec977a48ec38220033020c5')
 
 build() {
    cd "${srcdir}/${pkgname}-${pkgver}"
+   patch -p1 < ../libpng-1.4.patch || return 1
    ./configure --prefix=/usr --sysconfdir=/etc \
      --enable-mp --enable-gimp-console --enable-gimp-remote \
      --disable-devel-docs --enable-python --without-gvfs \

Added: libpng-1.4.patch
===================================================================
--- libpng-1.4.patch	                        (rev 0)
+++ libpng-1.4.patch	2010-01-20 03:57:37 UTC (rev 64381)
@@ -0,0 +1,26 @@
+diff -Naur gimp-2.7.0-orig/plug-ins/file-ico/ico-load.c gimp-2.7.0/plug-ins/file-ico/ico-load.c
+--- gimp-2.7.0-orig/plug-ins/file-ico/ico-load.c	2010-01-18 19:01:46.000000000 -0500
++++ gimp-2.7.0/plug-ins/file-ico/ico-load.c	2010-01-18 19:14:43.000000000 -0500
+@@ -286,14 +286,22 @@
+   switch (color_type)
+     {
+     case PNG_COLOR_TYPE_GRAY:
++#if PNG_LIBPNG_VER < 10400
+       png_set_gray_1_2_4_to_8 (png_ptr);
++#else
++      png_set_expand_gray_1_2_4_to_8(png_ptr);
++#endif
+       if ( bit_depth == 16 )
+         png_set_strip_16 (png_ptr);
+       png_set_gray_to_rgb (png_ptr);
+       png_set_add_alpha (png_ptr, 0xff, PNG_FILLER_AFTER);
+       break;
+     case PNG_COLOR_TYPE_GRAY_ALPHA:
++#if PNG_LIBPNG_VER < 10400
+       png_set_gray_1_2_4_to_8 (png_ptr);
++#else
++      png_set_expand_gray_1_2_4_to_8(png_ptr);
++#endif
+       if ( bit_depth == 16 )
+         png_set_strip_16 (png_ptr);
+       png_set_gray_to_rgb (png_ptr);



More information about the arch-commits mailing list